Product comparison · 2 network switches

HP 1820-48G-PoE+ (370W) vs Zyxel MGS3520-28F Managed L2 Black

Add a product
  • 27specifications compared
  • 13differ
  • 14identical
  • 32known for one product only

Key differences

  • SFP module slots quantity
    • 1820-48G-PoE+ (370W):4
    • MGS3520-28F Managed L2 Black:24
  • Switching capacity
    • 1820-48G-PoE+ (370W):104 Gbit/s
    • MGS3520-28F Managed L2 Black:56 Gbit/s
  • Throughput
    • 1820-48G-PoE+ (370W):77.3 Mpps
    • MGS3520-28F Managed L2 Black:41.67 Mpps
  • Product colour
    • 1820-48G-PoE+ (370W):Grey
    • MGS3520-28F Managed L2 Black:Black
  • Power over Ethernet (PoE)
    • 1820-48G-PoE+ (370W):Yes
    • MGS3520-28F Managed L2 Black:No
  • Operating temperature (T-T)
    • 1820-48G-PoE+ (370W):0 - 40 °C
    • MGS3520-28F Managed L2 Black:0 - 50 °C
  • Operating relative humidity (H-H)
    • 1820-48G-PoE+ (370W):15 - 95%
    • MGS3520-28F Managed L2 Black:10 - 95%
  • Storage relative humidity (H-H)
    • 1820-48G-PoE+ (370W):15 - 95%
    • MGS3520-28F Managed L2 Black:5 - 95%

Side by side

Differences highlightedShow differences only (off)
Comparison of 1820-48G-PoE+ (370W), MGS3520-28F
59 specifications
Management featuresidentical
Switch typeManagedManaged
Switch layerL2L2
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
Web-based managementYesYes
MIB supportKnown for oneUnknown — not stated by the sourceRFC 1066, RFC 1213, 1157, RFC 1493,RFC 1643, RFC 1757, RFC 2011, 2012, 2013, RFC 2233, RFC 2358, RFC 2674, RFC 2819, 2925, RFC 3621, RFC 4022, RFC 4113, RFC 4292, RFC 4293
Ports & interfaces1 differ
Basic switching RJ-45 Ethernet ports quantityKnown for one48Unknown — not stated by the source
Basic switching RJ-45 Ethernet ports typeKnown for oneGigabit Ethernet (10/100/1000)Unknown — not stated by the source
SFP module slots quantityDiffers424
Combo SFP ports quantityKnown for oneUnknown — not stated by the source4
Network1 differ
Networking standardsDiffersIEEE 802.3, IEEE 802.3ab, IEEE 802.3uIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNoNo
Copper ethernet cabling technologyKnown for one10BASE-T, 100BASE-TX, 1000BASE-TUnknown — not stated by the source
Port mirroringKnown for oneYesUnknown — not stated by the source
Full duplexKnown for oneYesUnknown — not stated by the source
Auto MDI/MDI-XKnown for oneYesUnknown — not stated by the source
Auto-sensingKnown for oneYesUnknown — not stated by the source
Flow control supportYesYes
Link aggregationYesYes
Spanning tree protocolYesYes
VLAN supportKnown for oneYesUnknown — not stated by the source
Broadcast storm controlKnown for oneUnknown — not stated by the sourceYes
Virtual LAN featuresKnown for oneUnknown — not stated by the sourceStacked VLAN, Tagged VLAN
Data transmission2 differ
MAC address table16000 entries16000 entries
Switching capacityDiffers104 Gbit/s56 Gbit/s
ThroughputDiffers77.3 Mpps41.67 Mpps
Latency (10-100 Mbps)Known for one7 µsUnknown — not stated by the source
Latency (1 Gbps)Known for one2 µsUnknown — not stated by the source
Jumbo frames supportYesYes
Packet buffer memoryKnown for one1.5 MBUnknown — not stated by the source
Jumbo framesKnown for oneUnknown — not stated by the source9000
Securityidentical
DHCP featuresKnown for oneDHCP clientUnknown — not stated by the source
IGMP snoopingYesYes
SSH/SSL supportYesYes
BPDU filtering/protectionKnown for oneUnknown — not stated by the sourceYes
Design1 differ
Rack mountingYesYes
StackableKnown for oneYesUnknown — not stated by the source
Form factorKnown for one1UUnknown — not stated by the source
Product colourDiffersGreyBlack
Performanceidentical
Built-in processorKnown for oneYesUnknown — not stated by the source
Processor modelKnown for oneARM Cortex-A9Unknown — not stated by the source
Processor frequencyKnown for one400 MHzUnknown — not stated by the source
Memory typeKnown for oneSDRAMUnknown — not stated by the source
Internal memoryKnown for one128 MBUnknown — not stated by the source
Flash memoryKnown for one16 MBUnknown — not stated by the source
Poweridentical
AC input voltage100 - 240 V100 - 240 V
AC input frequencyKnown for one50 - 60 HzUnknown — not stated by the source
Power consumption (typical)Known for one481 WUnknown — not stated by the source
Power over Ethernet (PoE)1 differ
Power over Ethernet (PoE)DiffersYesNo
Total Power over Ethernet (PoE) budgetKnown for one370 WUnknown — not stated by the source
Operational conditions3 differ
Operating temperature (T-T)Differs0 - 40 °C0 - 50 °C
Storage temperature (T-T)-40 - 70 °C-40 - 70 °C
Operating relative humidity (H-H)Differs15 - 95%10 - 95%
Storage relative humidity (H-H)Differs15 - 95%5 - 95%
Weight & dimensions4 differ
WidthDiffers442.5 mm440 mm
DepthDiffers322.6 mm270 mm
HeightDiffers43.9 mm44 mm
WeightDiffers4.4 kg3.72 kg
Sustainabilityidentical
Sustainability certificatesKnown for oneENERGY STARUnknown — not stated by the source
Protocolsidentical
Management protocolsKnown for oneUnknown — not stated by the sourceSNMP v1, v2c, v3

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons